Package org.apache.ignite.internal.processors.query

## Class QueryProperties

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QueryProperties

    public final class QueryProperties
    extends Object

Additional properties to execute the query (Stored in `QueryContext`).

### Constructor Summary

Constructors
`QueryProperties​(@Nullable String cacheName, boolean keepBinary, boolean failOnMultipleStmts)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable String` `cacheName()`
`boolean` `isFailOnMultipleStmts()`
`boolean` `keepBinary()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryProperties

    public QueryProperties​(@Nullable
                           @Nullable String cacheName,
                           boolean keepBinary,
                           boolean failOnMultipleStmts)

### Method Detail

#### keepBinary

    public boolean keepBinary()

#### isFailOnMultipleStmts

    public boolean isFailOnMultipleStmts()

#### cacheName

    @Nullable
    public @Nullable String cacheName()